Cordova Commits from 3.3.0 -> 3.4.0

cordova-android
---
9768e73 Set VERSION to 3.4.0 (via coho)
db2a498 Update JS snapshot to version 3.4.0 (via coho)
b0e205a Updating Release Notes, NOTE: wiki does not count commits between RC1 and HEAD on Release Branch
8f54290 Removing addJavascriptInterface support from all Android versions lower than 4.2 due to security vulnerability
6760d03 CB-5917 Add a loadUrlIntoView overload that doesn't recreate plugins.
f4b1d09 CB-5715 For CLI, hide assets/www and res/xml/config.xml by default
029d156 CB-5793 ant builds: Rename AndroidManifest during -post-build to avoid Eclipse detecting ant-build/ as a project when importing
0666038 CB-5889 Make update script find project name instead of using "null" for CordovaLib
f28738f CB-5889 Add a message in the update script about needing to import CordovaLib when using an IDE.
5981023 Set VERSION to 3.4.0-rc1 (via coho)
89f9ac1 Update JS snapshot to version 3.4.0-rc1 (via coho)
09e1c00 Manually incrementing version
600599f Fix type "LANCH" -> "LAUNCH"
1fe7bbb CB-5793 Make ant work-around work on windows.
f83d7a7 CB-5793 Add work-around for library references not working with custom output directory (ugh).
7094047 CB-5793 Forgot to update ant path for clean.
11d3607 CB-5793 Don't clean before build and change output directory to ant-build to avoid conflicts with Eclipse.
fcae58d CB-4910 Fix CLI's eclipse project template not working on windows due to "*" in the virtual folder name.
ef9ace9 CB-5803 Fix cordova/emulate on windows.
22e4039 CB-5801 Add spawn work-around on windows for it not being able to execute .cmd files
4971670 CB-5801 exec->spawn in build to make sure compile errors are shown.
e16cab6 CB-5799 Update version of OkHTTP to 1.3
a643c3d Remove package.json within bin/ since we never intend to ship bin/ as an npm module
51abf5b CB-4910 Update CLI project template to point to config.xml at the root now that it's not in www/ by default.
1cee6e3 Silence excessive logging from scroll events
0777a66 CB-5504: Adding onDestroy to app plugin to deregister telephonyReceiver
5e0479e CB-5715 Add Eclipse .project file to create template.
942c778 CB-5447 Removed android:debuggable=“true” from project template.
8e260d5 CB-5714 Fix of android build when too big output stops build with error due to buffer overflow.
7951eee Fix incorrect MIME type for .js files loaded through CordovaResourceAPI.
be2f7d7 Remove 2 X console.log from exec.js
59c8e8b CB-5592 Set MIME type for openExternal when scheme is file:
98c8b28 Add RELEASENOTES for 3.3.0 release
7bb5bc0 Backfill 3.2.0 release notes
1482c07 CB-5489: clean up docs for deprecated methods
adba84a CB-5504: Moving code to the App plugin inside Cordova, the place where the grey area beween plugin and platform exists
146e296 CB-5047: Adding a defaults.xml template
28c10db CB-5481 Fix for Cordova trying to get config.xml from the wrong namespace
e646a08 Add missing semicolon
74ea6bf Spelling fixes
d7ad784 CB-5144 Spelling & grammar fixes in README.
642bd10 Forgot Apache Headers on MessageTest
7c566c3 Update JS snapshot to version 3.4.0-dev (via coho)
dbbe038 Set VERSION to 3.4.0-dev (via coho)

cordova-ios
---
a026bbc Set VERSION to 3.4.0 (via coho)
d8d70a2 Update JS snapshot to version 3.4.0 (via coho)
99c14f7 Update RELEASENOTES for 3.4.x
0847316 Set VERSION to 3.4.0-rc1 (via coho)
d62ab27 Update JS snapshot to version 3.4.0-rc1 (via coho)
fb96a97 Updated CDVAvailability.h version to 3.4.0
285ee28 CB-5794 iOS build script: 1. don't clean 2. recognize --emulator vs --device
36288bc Don't show environment vars in build log for copy-www script
a11583a CB-4910 Update CLI project template to point to config.xml at the root now that it's not in www/ by default.
b242d55 Move .gitignore in template to gitignore (and add the dot in the script).
d737553 Fix create script copying project template twice.
92165bd CB-5740 Use UIScrollViewDecelerationRateNormal by default.
baf270f CB-5420 Add device model to User-Agent cache key.
e67449d Fix up quotes being removed in templates in previous commit.
806651d Copy config.xml within copy-www-build-step.sh instead of in Copy Resoruces step
58cfa47 CB-5397 Add a --cli option to bin/create that has ../../www/ ../../merges/ within the project
ced5b8f CB-5697 Fix location.reload() not firing deviceready.
a61b289 CB-4330 Fix hash changes being treated as top-level navigations
3c6ba75 CB-3359 Parse large JSON payloads on a background thread, and yield when executing multiple commands is taking too long.
d6fd0af CB-5134 Fix up bugs with new hash-based exec() bridge.
0f28be6 CB-5134 Add location.hash based exec() bridge.
7452c68 CB-5658 Fix whitelist crash when URL path has a space.
ede9b53 Add release notes for 3.3.0
1f4596b CB-5583 WebView doesn't properly initialize when instantiated from a xib
b0c71bf CB-5046: Adding a defaults.xml template
ec4a0f5 Fix link in README
4cce5a4 CB-5290 templates: Updated launch images sizes to include the status bar region
2d2a247 CB-5276 Add ability to load start page from a place other then the bundle folder
ad86804 Spelling fixes
3e1cddd CB-5298 Have bin/create run bin/check_reqs.
44259f2 CB-5328 - .gitignore from cordova-ios excludes `platforms/cordova/build` file
cdb5dea Update JS snapshot to version 3.4.0-dev (via coho)
1e6d408 Set VERSION to 3.4.0-dev (via coho)

cordova-blackberry
---
195ea8d CB-6019 Supply default value of --device to the run script
7a0aff9 Update VERSION to 3.4.0
dcb1e02 Update JS snapshot to version 3.4.0
c678cbd CB-5660 Revert CB-5443 due to issues with parentheses in Windows PATH
aa6bfa6 CB-5909 Fixed issue where check-reqs skipped checking logic on second pass-through
6b596f8 Update VERSION to 3.4.0-rc1
6162c64 Update JS snapshot to version 3.4.0-rc1
73d3c30 CB-5815 cordova not defined when pausing w/o cordova.js included
fb7d095 CB-3380 init - Fix use of [] w/ &&
f6d5847 CB-4531 Fix error case where variable wasn't available
8576383 CB-5730 Cordova update does not work
ead6edd CB-4653 Remove project.json
42e83f6 CB-4653 Default native project template should be overridable at project creation time
38a98c7 CB-3380 Skip NPM check when dependencies are bundled
86e654c CB-5741 Send single command for uninstall / install
048fda1 CB-5736 - target host is a required field
9ae84e6 CB-5736 Support host names for target command
37e9fc1 CB-5212 - Add preference "DiskCache" (enable/disable)
9f93e17 CB-5726 - Fix run script PIN detection
e8ed2df CB-5723 Update logger unit tests
d17905c CB-5723 Change build script -ll param to -l
01600fb CB-5680 Improve console logging when scripts invoked in child process
9c07d20 CB-5668 Do not set Application-Development-Mode when building --release --web-inspector
868e7b0 CB-5669 Add --no-signing flag to build
363f611 Fix jshint errors
ce7df99 Set VERSION to 3.4.0-dev

cordova-windows
---
0b2c38d update to 3.4.0 js and increment version num
b3745dd CB-5951 Added namespace to config.xml
78736e0 Remove template file after create by name
fbdaab7 CB-4533 return error code 2 on fail, CB-5359 get tools version from the registry
d02e7c6 update cordova-js and VERSION
ef4bbec update master versions and js

cordova-wp8
---
c8f7aee Update to 3.4.0 proper
21660e5 CB-6041 createTemplates should install them for VS-2013 as well
96f4d5e CB-5951 Added namespace to config.xml
846d27c Update to 3.4.0-rc1
2386d7a oops, wp7 still needed some of those using's
c36ee3d Debug.WriteLine output, not Console.WriteLine to avoid (possible) ambiguous reference. Clean up 'usings'
7ac24bf Apply the same changes to wp7
3fba012 Config handler has to treat the xml 'name' as a key but use the wp-package param value
6b3c6e2 One more case : default classpath + command alias, ex Console=>WPCordovaClassLib.Cordova.Commands + 'DebugConsole'
7c86b30 added Namespace string property, used by CommandFactory to create the command.
af80474 CommandFactory.CreateByServiceName takes new optional string value which can be the fully qualified class name, or just an alias class name to prevent ambiguity
4265d0a Get namespace before passing off to NativeExec
07594b3 CB-4533 return exit code 2
37e4565 CB-5025 Don't escape/decode undefined|null values +WP7
af726e2 CB-5357 Multistage exit app fires events pause->exit->onunload before exiting completely. WP8 only
3b7e4ac cleaned up param parsing for 'help'
6e9b38f rejiggered to avoid extra bat files.  RegReading is done in jscript
64afa53 CB-5359 Get the tools version number from the registry and not the tool because it has issues with internationalized output parsing.
b348feb added readme to WP7 for deprecation notice
b34531c added some formatting
cd84989 Deprecated WP7
96b1497 Update JS and VERSION to the latest, back on the dev branch
2171cd6 CB-802 WP8 ConsoleHelper outputs all console.log calls to isolated storage file for watching with CordovaDeploy tool
9106996 CB-802 output console.log to cordova-cli run command
06ce73e updated master js
4e246ee CB-5360 fix compiler whinings
fd6cb9c CB-5360 fix compiler warnings

cordova-firefoxos
---
3e760cf Set VERSION to 3.4.0 (via coho)
e6b16f1 Update JS snapshot to version 3.4.0 (via coho)
c4ab88a Set VERSION to 3.4.0-rc1 (via coho)
48ae8e9 Update JS snapshot to version 3.4.0-rc1 (via coho)
ded6deb CB-5141: FirefoxOS - fix version script permissions
ecf6e89 Update JS snapshot to version 3.4.0-dev (via coho)
30f9be9 fixed version script on master
abdb175 added version file
6eb2185 Update JS snapshot to version 3.4.0-dev (via coho)
9a6473c Set VERSION to 3.4.0-dev (via coho)

cordova-ubuntu
---
91d4538 Set VERSION to 3.4.0 (via coho)
0c76047 Update JS snapshot to version 3.4.0 (via coho)
a2f04f1 Set VERSION to 3.4.0-rc1 (via coho)
401173b Update JS snapshot to version 3.4.0-rc1 (via coho)
cd6b3d1 support content property from config.xml
b0aa709 Expose main webview as a property
2dcd53f fix bin/build/version
00f7bbb src/cordova.cpp: better debug message
21a78aa change compiler flags
699f0d2 bin/build/build: generate deb package
a4aaf83 bin/build/run: --nobuild option
c948125 bin/build/run: --target option
537927d bin/run: use optimist node module for option parsing
5996eb9 bin/build/run build only for target
464ae58 bin/build/run: add --debug option
8f9ab56 support running apps on device
b3e5e9e Update JS snapshot to version 3.4.0-dev (via coho)
9bd33ef use child_process.exec correctly
7884804 bin/create check for shelljs/elementtree
7f43563 Update JS snapshot to version 3.4.0-dev (via coho)
c61af64 Set VERSION to 3.4.0-dev (via coho)

cordova-amazon-fireos
---
41207ba Set VERSION to 3.4.0 (via coho)
882d7ce Update JS snapshot to version 3.4.0 (via coho)
f8bd589 Updated check_requirements functions to see if AWV sdk is installed in libs folder. This code used to be in cli's platform script but cordova recently moved it to individual platforms.
6a3adc5 Fixed create.js + added code to copy libs folder to app's libs.
f4bf50f Removing getNameRes() function to get webview backend. Removed strings as well.
2a5d881 CB-5232 Change create script to use Cordova as a library.
445bd55 Remove Application settings from framework/AndroidManifest.xml
6ef2f29 Updated android platform target to android-19.
18eff35 CB-4984 Don't create on CordovaActivity name
a3d4b90 CB-5917 Add a loadUrlIntoView overload that doesn't recreate plugins.
6c09caa CB-5715 For CLI, hide assets/www and res/xml/config.xml by default
760ce9a CB-5793 ant builds: Rename AndroidManifest during -post-build to avoid Eclipse detecting ant-build/ as a project when importing
51cc2be CB-5889 Make update script find project name instead of using "null" for CordovaLib
3974c2d CB-5889 Add a message in the update script about needing to import CordovaLib when using an IDE.
ae9a39d Fix type "LANCH" -> "LAUNCH"
0169ff0 CB-5793 Make ant work-around work on windows.
6d8da4b CB-5793 Add work-around for library references not working with custom output directory (ugh).
6cc9923 CB-5793 Forgot to update ant path for clean.
1158b5f CB-5793 Don't clean before build and change output directory to ant-build to avoid conflicts with Eclipse.
bf875dc CB-4910 Fix CLI's eclipse project template not working on windows due to "*" in the virtual folder name.
6ca3c42 CB-5803 Fix cordova/emulate on windows.
c118ada CB-5801 Add spawn work-around on windows for it not being able to execute .cmd files
7f77d2b CB-5801 exec->spawn in build to make sure compile errors are shown.
166d26a CB-5799 Update version of OkHTTP to 1.3
09f683f Remove package.json within bin/ since we never intend to ship bin/ as an npm module
b925e9f CB-4910 Update CLI project template to point to config.xml at the root now that it's not in www/ by default.
8b5da02 Silence excessive logging from scroll events
8712bc9 CB-5504: Adding onDestroy to app plugin to deregister telephonyReceiver
b5b89dc 1. Removed timers logic while loading Urls. Timers were creating threads to check for errors. That was causing crashes while navigating back and forth. Also, fixed handleDestroy() method to fix NPE while hitting back button. 2.Revert "Add Timeout Tests" 3.Implementation of Cordova delegate priority system 4.Fix for fileAccess on gen5 devices 5.Fix for potential AWV call outside UIthread
d1b288b Fix for Search Intercept failures
19cfdf6 Add Timeout Tests
2309d54 Set VERSION to 3.4.0-rc1 (via coho)
fa766ed Update JS snapshot to version 3.4.0-rc1 (via coho)
40b8dc3 Set VERSION to 3.4.0-dev (via coho)
17d373a CB-5422: Don't require JAVA_HOME to be defined
5bc99c0 Removed the code segment that allows web debugging. We have devtools plugin to do so.
fdb3bef Added missing ScrollEvent.java file.
70ce111 CB-5715 Add Eclipse .project file to create template.
4963927 CB-5447 Removed android:debuggable=“true” from project template.
8e9e5d1 CB-5714 Fix of android build when too big output stops build with error due to buffer overflow.
629ac53 Fix incorrect MIME type for .js files loaded through CordovaResourceAPI.
dbd01fa CB-5592 Set MIME type for openExternal when scheme is file:
86c591b Add RELEASENOTES for 3.3.0 release
9e1609d Backfill 3.2.0 release notes
156ae3d CB-5489: clean up docs for deprecated methods
eec8045 CB-5504: Moving code to the App plugin inside Cordova, the place where the grey area beween plugin and platform exists
474fb53 CB-5047: Adding a defaults.xml template
91729b3 CB-5481 Fix for Cordova trying to get config.xml from the wrong namespace
6fee8d8 Add missing semicolon
dbea632 Spelling fixes
f25327b Forgot Apache Headers on MessageTest
6976296 Update JS snapshot to version 3.4.0-dev (via coho)
d291bff prevent ClassNotFound exception for emtpy class name
8b67088 CB-5487: Remote Debugging is on when your Android app is debuggable.
bbac797 Updating the README
a14901d Updating tests to KitKat, and making the tests more thread-safe
b832242 CB-5445: Adding onScrollChanged and the ScrollEvent object. (Forgot to add the WebView)
ea0ae1d Updated CordovaWebView to experiment with onScrollChanged messages
a4029b2 Moving the console.log out of run() method
648c5d6 CB-5490: add javadoc target to ant script
228a900 CB-5471: add deprecation javadoc/annotation
eb0aa97 Add javadoc comments to source classes
20ee58f CB-5255: Checking in the Google Check, TODO: Add Amazon FireOS check
07e922f CB-5346: remove dependency on device plugin
748fd98 Updating instructions to indicate that the device plugin is required to be installed via plugman
3925339 Fixing plugins configuration, Device shouldn't be checked in here
60d0541 Removing device plugin
d0df1d4 Removing the plugins directory after the plugins were incorrectly removed
8f29373 This should use plugman to install plugins. Adding path depenencies for plugins is wrong, and shouldn't be done
aeae418 CB-5349: fixed regression in update script
f768066 CB-5302: Massive movement to get tests working again
6c0fb15 Set VERSION to 3.3.0-dev (via coho)
04ef9aa CB-5301 add missing license headers
2075947 Fix paths with spaces while launching on emulator and device
1b92750 CB-5284 Fixing the version from coho
0b9f84f Fixing the VERSION file, it got auto-incremented by coho by accident
ac059f0 Update JS snapshot to version 2.10.0-dev (via coho)
e9fbb52 Set VERSION to 2.10.0-dev (via coho)
a4e2cca CB-5193 Fix Android WebSQL sometime throwing SECURITY_ERR.
73d8824 CB-5191 Deprecate <url-filter>
4a252ca Updating shelljs to 0.2.6. Copy now preserves mode bits.
c16b3ec CB-4872 - moved version script to promise model
0567f9d CB-4872 - make sure to copy over version scripts to project
1347a40 - added android version scripts
22352af Refactoring Android project-level and platform scripts to use Q.js
bb90f43 Remove cordova.xml fallback from Config.java (it was removed from PluginManager for 3.0)
037ab75 Update JS snapshot to version 3.4.0-dev (via coho)
a0107d6 Update JS snapshot to version 3.4.0-dev (via coho)
962ae21 Set VERSION to 3.4.0-dev (via coho)

cordova-docs
---
d849efb Version 3.4.0
69adbc1 CB-5682 - Update Plugin Spec for new framework tag attribute "custom"
9eba609 CB-6040: Correct spelling of "directory"
49251ad CB-6037: Blackberry10 updated platform guide
6d84529 CB-6032: Cordova download & SDK links updated
57df325 CB-5982 Android Platform guide improvements
3318b2d Updated iOS Upgrading doc.
de8a418 CB-5294: Add input type=file Android quirk
05541e5 CB-5908: fix up inconsistencies and clarify
b9cd79f CB-5387 Make given example a working example
bddb86f CB-5900 Spelling fixes for English docs
542e208 firefox os platform guide and suport entries added
b9c5896 CB-5931 Cordova 3.4 - broken links due to inconsistent heading translation
a8b97ba CB-5931 1/28 push latest of edge for Korean Cordova 3.4
b87ed7c CB-5931 1/28 push latest of edge for Russian Cordova 3.4
10046d0 CB-5931 1/28 push latest of edge for Chinese Traditional Cordova 3.4
d017b43 CB-5931 1/28 push latest of edge for Japanese Cordova 3.4
60194db CB-5931 1/28 push latest of edge for Italian Cordova 3.4
0bc591a CB-5931 1/28 push latest of edge for German Cordova 3.4
953aa02 CB-5931 1/28 push latest of edge for French Cordova 3.4
1931478 CB-5931 1/28 push latest of edge for Spanish Cordova 3.4
909e5fb CB-5931 1/28 push latest of edge for chinese simplified Cordova 3.4
57d0a32 CB-5720 Add example for <resource-file> on Android
d65fd9a CB-4910 Update docs for CLI moving www/config.xml -> config.xml
b58b6b1 CB-5740 Add docs for UIWebViewDecelerationSpeed <preference>
539342c CB-5577 Fix blackberry10 platform name inconsistency
5c3c290 [CB-5419] Add plugin instantiation and lifetime section.
80c8d81 CB-5700: make the same change in edge
ac1040d CB-5700: eliminate unnecessary packages apt-get
e9e0857 CB-5648: Clarify parms to "cordova create"
97ae96e CB-5658 Delete plugin API reference in favour of links to github doc/index.md files
5499544 CB-5232 Add note about android subproject to upgrade guide as well
cb9d7c7 CB-5232 Add note about cordova as lib
03c24a4 Update .gitignore and README.md to not require sudo for dependencies.
0ba0311 [CB-5666] Add Ubuntu platform guide for edge version.
42d0157 [CB-5666] Add Ubuntu platform guide.
98e4af3 CB-5489: add missing docs for Android-specific config
33b8b7f CB-5594 Added docs for IAB's disallowoverscroll option
6eb0a61 CB-5595 Add docs for IAB's toolbarposition option

cordova-mobile-spec
---
32830c4 Set VERSION to 3.4.0 (via coho)
66eda15 Set VERSION to 3.4.0-rc1 (via coho)
5c3a617 Use --searchpath in createmobilespec.sh and updaten dependencies-plugin accordingly.
ead88ca Remove debugging log statements
feec947 CB-5631 Add FileTransfer test for progress.loaded being too big.
cbf64d9 CB-5602 Windows8. Fix File Api mobile spec tests
ccf92cf CB-3481: Fixed the compass not supported issue
d662dd3 Revert "Merge branch 'CB-5602' of https://github.com/sgrebnov/cordova-mobile-spec"
a8340a5 More tweaks to createmobilespec.sh.
bda3297 Use the new --link flag in createmobilespec.sh
9c7726b CB-5300: add descriptions of expected test results
725db75 CB-5697 Add a reload button to misc->hash subpage
0fd177b CB-4330 Add test pages that change hashes
df7f8af Made exec benchmark more awesome by having it able to test jank.
f9fabe6 Split exec benchmark into a subpage.
f01dcad Use setImmediate in exec bridge benchmark instead of setTimeout.
7e771d5 CB-5676 Fix file.spec.109:Can't find variable: fileName
db07079 CB-5403: Test backwards compatibility with file:// urls in file plugin
8043a27 Add backwards-compatibility tests for filetransfer
babc6e1 CB-5466: Replace FS URLs in file-transfer tests
4e31ad0 CB-5594 Added IAB test for disallowoverscroll option.
d5c2bb0 CB-5595 Add test case for IAB's toolbarposition=top (iOS only)
575ca52 CB-5637 [BlackBerry10] Skip tests for features not supported by platform
578c5e1 sync with cordova-plugin-file tests definition
c1a2fea CB-5466: Revert: we're not ready yes for FS urls in file-transfer
cbc73f2 CB-5358 Make mobile spec tests on Windows8 to run w/o user interaction
05ad828 correct way to detect windows phone (both 7/8)
74523ac CB-5214 Make mobile spec tests on WP8 to run w/o user interaction
6719858 Set VERSION to 3.4.0-dev (via coho)

cordova-js
---
5d558a9 Set VERSION to 3.4.0 (via coho)
5ca2246 CB-5973 blackberry: use sync by default
9508bcc CB-5973 blackberry: add support for sync exec
ba3190d Set VERSION to 3.5.0-dev (via coho)
680a9e8 Set VERSION to 3.4.0-rc1 (via coho)
a9371e5 fixes CB-5806 [Windows8] Add keepCallback support to proxy
7ed9e71 CB-4970 CB-5457 Switch default bridge mode to IFRAME_NAV for iOS != 5
cdb7c05 CB-5134 Add IFRAME_HASH based exec() bridge (all previous commits reverted).
775d2b4 Revert "CB-5134 iOS - Add location.hash-based exec bridge."
3fc7ee4 Revert "Fix broken tests take 2"
2baecb5 Fix broken tests take 2
ed66d0a Revert "Fix failing exec tests introduced by previous commit."
130db89 Fix failing exec tests introduced by previous commit.
2c93179 CB-5134 iOS - Add location.hash-based exec bridge.
a320b79 CB-5604 [BlackBerry10] Switch to async XHR for exec bridge
686f16c renaming reporter to test-reporter
e11eb2f tweaking the testing infra
18e5fc2 fixing pats require analyzer thing
7e39609 temporarily removed btests, not working for me
5ddd9ac CB-5606 WP8. Add ArrayBuffer support to exec bridge
c608726 removed old runner logic into tasks
a7a5b11 tests passing in browser yay
ced04a4 moved templates to tasks/templates and logic to tasks/lib
67c9259 begin distilling tests out
b75096a this is long unused
c6f377e removing unused files
5fae0b3 grunt _btest failing and not sure why
a8ee775 revised readme to reflect changes to structure and gruntfile
c770c38 reverted out urlutil.exists check / save that battle for another PR
4e0ca1c build runs but tests borked
31aa751 fixing deps
e3e40f5 everything seperated into discreet modules but deps not resolved
d9a3dce refactoring to small modules
f9a743a adding exists fn to urlutil and check before injecting cordova_plugins.js (failing tests)
c320378 first pass at adding browser as a platform
17d3305 fixed licensed headers for ubuntu
ba8fb5a add ubuntu platform
286dff2 Spelling: SEPERATOR -> SEPARATOR
95afeb0 Added amazon-fireos port to lib files + grunt file.
3d7f24c Set VERSION to 3.4.0-dev (via coho)
5940878 CB-5316 Spell Cordova as a brand unless it's a command or script

cordova-app-hello-world
---
2357637 Set VERSION to 3.4.0 (via coho)
8347558 Set VERSION to 3.4.0-rc1 (via coho)
4c9d0f7 Set VERSION to 3.4.0-dev (via coho)
